org.apache.cayenne.map

## Interface MappingNamespace

- All Known Implementing Classes:
    DataMap, EntityResolver

      public interface MappingNamespace

  Defines API of a container of DbEntities, ObjEntities, Procedures, Queries and other mapping objects.
  Since:
    1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<DbEntity>` | `getDbEntities()` Returns all DbEntities in the namespace.
    `DbEntity` | `getDbEntity(String name)` Returns DbEntity for a given name, or null if no such DbEntity is found in the MappingNamespace.
    `Embeddable` | `getEmbeddable(String className)` Returns an `Embeddable` matching class name or null if such Embeddable is not mapped.
    `Collection<ObjEntity>` | `getObjEntities()` Returns all ObjEntities in the namespace.
    `ObjEntity` | `getObjEntity(String name)` Returns ObjEntity for a given name, or null if no such ObjEntity is found in the MappingNamespace.
    `Procedure` | `getProcedure(String name)` Returns Procedure for a given name, or null if no such Procedure is found in the MappingNamespace.
    `Collection<Procedure>` | `getProcedures()` Returns all Procedures in the namespace.
    `Collection<Query>` | `getQueries()` Returns all Queries in the namespace.
    `Query` | `getQuery(String name)` Returns Query for a given name, or null if no such Query is found in the MappingNamespace.
    `SQLResult` | `getResult(String name)` Returns a named result set mapping.

- - ### Method Detail

    - #### getEmbeddable

          Embeddable getEmbeddable(String className)

      Returns an `Embeddable` matching class name or null if such Embeddable is not mapped.
      Since:
        3.0

    - #### getResult

          SQLResult getResult(String name)

      Returns a named result set mapping.
      Since:
        3.0

    - #### getDbEntity

          DbEntity getDbEntity(String name)

      Returns DbEntity for a given name, or null if no such DbEntity is found in the MappingNamespace.

    - #### getObjEntity

          ObjEntity getObjEntity(String name)

      Returns ObjEntity for a given name, or null if no such ObjEntity is found in the MappingNamespace.

    - #### getProcedure

          Procedure getProcedure(String name)

      Returns Procedure for a given name, or null if no such Procedure is found in the MappingNamespace.

    - #### getQuery

          Query getQuery(String name)

      Returns Query for a given name, or null if no such Query is found in the MappingNamespace.

    - #### getDbEntities

          Collection<DbEntity> getDbEntities()

      Returns all DbEntities in the namespace.

    - #### getObjEntities

          Collection<ObjEntity> getObjEntities()

      Returns all ObjEntities in the namespace.

    - #### getProcedures

          Collection<Procedure> getProcedures()

      Returns all Procedures in the namespace.

    - #### getQueries

          Collection<Query> getQueries()

      Returns all Queries in the namespace.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.